Bug 847876 - [eap6] invalid configuration retrieved for Connection Factory (Profile) resource
[eap6] invalid configuration retrieved for Connection Factory (Profile) resource
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.4
Unspecified Unspecified
high Severity medium (vote)
: ---
: JON 3.1.1
Assigned To: Stefan Negrea
Mike Foley
:
Depends On: 839643
Blocks: as7-plugin
  Show dependency treegraph
 
Reported: 2012-08-13 17:38 EDT by Stefan Negrea
Modified: 2013-09-03 11:07 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 839643
Environment:
Last Closed: 2013-09-03 11:07:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot (138.94 KB, image/png)
2012-08-31 05:31 EDT, Sunil Kondkar
no flags Details

  None (edit)
Description Stefan Negrea 2012-08-13 17:38:29 EDT
+++ This bug was initially created as a clone of Bug #839643 +++

Version-Release number of selected component (if applicable):
Version: 4.5.0-SNAPSHOT
Build Number: fce34e6

How reproducible:always


Steps to Reproduce:
1.import EAP6 running in domain mode
2.go to full (profile)/messaging/default/RemoteConnectionFactory
3.open Configuration tab
  
Actual results: configuratoin contains errors

The following configuration properties have invalid values: [Initial Message Packet Size]. The values must be corrected before the configuration can be saved.


Expected results: configuration does not contain errors

--- Additional comment from snegrea@redhat.com on 2012-08-08 18:24:08 EDT ---

This is an EAP6 error not an plugin error. EAP6 does not report a value for initial-message-packet-size when queried at profile level although it is required to according to the resource descriptor. The weird part is that the default value appears in the managed servers.

Here is the attribute descriptor:
 "initial-message-packet-size" => {
                "description" => "The initial size of messages created through this factory.",
                "type" => INT,
                "nillable" => false,
                "unit" => "BYTES",
                "access-type" => "read-only",
                "storage" => "configuration"
            }

I was not able to get a value for this property even if I requested the server to include-defaults and include-runtime information.


I will open a JIRA against EAP6 to get this resolved.

--- Additional comment from snegrea@redhat.com on 2012-08-13 17:31:50 EDT ---

Created AS7 JIRA to fix the underlying issue: https://issues.jboss.org/browse/AS7-5357


Until the AS7 issue is fixed the property will be removed from profiles because it is a read-only property that users will not be able to updated. The property value will be visible on the actual managed server (and standalone subsystem). The AS7 bug does not affect the managed server property that still reports the server default value.
Comment 2 Stefan Negrea 2012-08-13 17:43:26 EDT
Please verify that the property in cause is no longer present on the resource. Also, verify that the value is visible and with a value on the managed server. 

Again, the property is not essential for a profile connection-factory resource since it is read-only. It might or might not be re-added back to the profile type resources at a later date.
Comment 3 John Sanda 2012-08-13 22:16:35 EDT
Moving to ON_QA since JON 3.1.1 ER2 build is availble - https://brewweb.devel.redhat.com/buildinfo?buildID=228250
Comment 4 John Sanda 2012-08-20 12:31:09 EDT
This should not have been moved to ON_QA. It was changed to MODIFIED after the ER2 build. This change will be available in the ER3 build.
Comment 5 John Sanda 2012-08-22 01:48:30 EDT
Moving to ON_QA. The JON 3.1.1 ER3 build is available at https://brewweb.devel.redhat.com/buildinfo?buildID=230321.
Comment 6 Sunil Kondkar 2012-08-31 05:30:11 EDT
Verified on JON 3.1.1.CR1 build.

The property 'Initial Message Packet Size is not present on the resource. (EAP6 Domain Controller->Profiles->Full->messaging->default->RemoteConnectionFactory)

Verified that the property is visible in managed servers. Please find attached the screenshot of the property which is visible with value on managed server.
Comment 7 Sunil Kondkar 2012-08-31 05:31:30 EDT
Created attachment 608446 [details]
Screenshot
Comment 8 Heiko W. Rupp 2013-09-03 11:07:18 EDT
Bulk closing of old issues in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.